tilt(1) -- process templates
============================

## SYNOPSIS

`tilt` `-l`<br>
`tilt` [`-t` <var>pattern</var>] [`-y` <var>file</var>] [`-D` <var>name</var>=<var>value</var>] [`-d` <var>file</var>]
  [`--vars=`<var>ruby</var>] <var>file</var>

## DESCRIPTION

Process template <var>file</var> and write output to stdout. With no <var>file</var> or
when <var>file</var> is '-', read template from stdin and use the --type option
to determine the template's type.

## OPTIONS

* `-l`, `--list`:
  List template engines + file patterns and exit
* `-t`, `--type`=<var>pattern</var>:
  Use this template engine; required if no <var>file</var>
* `-y`, `--layout`=<var>file</var>:
  Use <var>file</var> as a layout template
* `-D`<var>name</var>=<var>value</var>:
  Define variable <var>name</var> as <var>value</var>
* `-d`, `--define-file`=<var>file</var>:
  Load YAML or JSON from <var>file</var> and use for variables
* `--vars`=<var>ruby</var>:
  Evaluate <var>ruby</var> to Hash and use for variables
* `-h`, `--help`:
  Show this help message

## EXAMPLES

Convert markdown to HTML:

    $ tilt foo.markdown > foo.html

Process ERB template:

    $ echo "Answer: <var>%= 2 + 2 %</var>" | tilt -t erb
    Answer: 4

Define variables:

    $ echo '{"n":40}' > data.json
    $ echo "Answer: <var>%= 2 + n %</var>" | tilt -t erb -d data.json
    Answer: 42

    $ echo "Answer: <var>%= 2 + n %</var>" | tilt -t erb --vars="{:n=>40}"
    Answer: 42
    $ echo "Answer: <%= 2 + n.to_i %>" | tilt -t erb -Dn=40
    Answer: 42

## SEE ALSO

m4(1), mustache(1)




[SYNOPSIS]: #SYNOPSIS "SYNOPSIS"
[DESCRIPTION]: #DESCRIPTION "DESCRIPTION"
[OPTIONS]: #OPTIONS "OPTIONS"
[EXAMPLES]: #EXAMPLES "EXAMPLES"
[SEE ALSO]: #SEE-ALSO "SEE ALSO"


[m4(1)]: http://man.cx/m4(1)
[mustache(1)]: https://mustache.github.io/mustache.1.html
[tilt(1)]: tilt.1.html
